Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000798Core InformExtensionspublic2011-11-05 15:272014-05-07 07:34
Reportersalty-horse 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000798: Misleading problem message when including several extensions on the same sentence
DescriptionWhen including several extensions in a single sentence, and one of them doesn't exist, the error printed is misleading.

Different errors are given if the first extension, or the second extension, does not exist.

The line:
> Include Unicode Character Names by Graham Nelson and Foo by Bar.

Produces:
> You wrote 'Unicode Character Names by Graham Nelson' : but I can't find that extension, which seems not to be installed.

This is incorrect, as that extension exists.

The line:
> Include Foo by Bar and Unicode Character Names by Graham Nelson.

Produces:
> You wrote 'Include Foo by Bar and Unicode Character Names by Graham Nelson' : but I can't find that extension

The problem message should only refer to "Foo by Bar"
Minimal Source Text To Reproduce
Include Unicode Character Names by Graham Nelson and Foo by Bar.
Additional InformationIt would be nice to have separate reports for each unknown extension.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-11-05 15:27 salty-horse New Issue
2011-11-11 10:47 EmacsUser Priority low => normal
2011-11-11 10:47 EmacsUser Status new => confirmed
2014-01-22 13:48 graham Status confirmed => resolved
2014-01-22 13:48 graham Resolution open => fixed
2014-01-22 13:48 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker